<?php
require('fpdf/fpdf.php');
include "conexion/conex.php";
$f1=$_GET['fecha1'];
$f2=$_GET['fecha2'];
$colum=$_GET['columnas'];
$contenido=$_GET['contenido'];
class PDF extends FPDF
{
var $widths;
var $aligns;


function SetWidths($w)
{
	//Set the array of column widths
	$this->widths=$w;
}

function SetAligns($a)
{
	//Set the array of column alignments
	$this->aligns=$a;
}

function Row2($data)
{
	//Calculate the height of the row
	$nb=0;
	for($i=0;$i<count($data);$i++)
		$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
	$h=5*$nb;
	//Issue a page break first if needed
	$this->CheckPageBreak($h);
	//Draw the cells of the row
	for($i=0;$i<count($data);$i++)
	{
		$w=$this->widths[$i];
		$a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'C';
		//Save the current position
		$x=$this->GetX();
		$y=$this->GetY();
		//Draw the border
		
		$this->Rect($x,$y,$w,$h);

		//$this->MultiCell($w,5,$data[$i],0,$a,'true');
		$this->MultiCell($w,5,$data[$i],0,'C','true');
		//Put the position to the right of the cell
		$this->SetXY($x+$w,$y);
	}
	//Go to the next line
	$this->Ln($h);
}


function Row($data)
{
	//Calculate the height of the row
	$nb=0;
	for($i=0;$i<count($data);$i++)
		$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
	$h=5*$nb;
	//Issue a page break first if needed
	$this->CheckPageBreak($h);
	//Draw the cells of the row
	for($i=0;$i<count($data);$i++)
	{
		$w=$this->widths[$i];
		$a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'C';
		//Save the current position
		$x=$this->GetX();
		$y=$this->GetY();
		//Draw the border
		
		$this->Rect($x,$y,$w,$h);

		//$this->MultiCell($w,5,$data[$i],0,$a,'true');
		$this->MultiCell($w,5,$data[$i],0,$a,0);
		//Put the position to the right of the cell
		$this->SetXY($x+$w,$y);
	}
	//Go to the next line
	$this->Ln($h);
}
function CheckPageBreak($h)
{
	//If the height h would cause an overflow, add a new page immediately
	if($this->GetY()+$h>$this->PageBreakTrigger)
		$this->AddPage($this->CurOrientation);
}

function NbLines($w,$txt)
{
	//Computes the number of lines a MultiCell of width w will take
	$cw=&$this->CurrentFont['cw'];
	if($w==0)
		$w=$this->w-$this->rMargin-$this->x;
	$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
	$s=str_replace("\r",'',$txt);
	$nb=strlen($s);
	if($nb>0 and $s[$nb-1]=="\n")
		$nb--;
	$sep=-1;
	$i=0;
	$j=0;
	$l=0;
	$nl=1;
	while($i<$nb)
	{
		$c=$s[$i];
		if($c=="\n")
		{
			$i++;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
			continue;
		}
		if($c==' ')
			$sep=$i;
		$l+=$cw[$c];
		if($l>$wmax)
		{
			if($sep==-1)
			{
				if($i==$j)
					$i++;
			}
			else
				$i=$sep+1;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
		}
		else
			$i++;
	}
	return $nl;
}


// Cabecera de página
function Header()
{
	// Logo
	$this->Image('logo.png',10,8,33);
	// Arial bold 15
	$this->SetFont('Arial','B',15);
	// Movernos a la derecha
	//$this->Cell(10);
	// Título
	$titulo="CONTRALORÍA DEL ESTADO BOLIVARIANO DE MÉRIDA";
	$titulo2="Dirección Técnica, Planficación y Control de Gestión";
	$this->Cell(0,10,$titulo,0,2,'C');
	$this->Cell(0,5,$titulo2,0,1,'C');
	$this->Ln(15);
	$this->SetFont('Arial','B',10);
	$sub="REGISTRO Y CONTROL DE MANTENIMIENTOS, ASISTENCIA Y SOPORTES TÉCNICOS A LOS EQUIPOS TECNOLÓGICOS";
	$sub2=" DE LA CEBM POR FUNCIONARIOS ADSCRITOS AL ÁREA DE INFORMÁTICA Y SOPORTE TÉCNICO";
	$this->Cell(0,5,$sub,0,2,'C');
	$this->Cell(0,5,$sub2,0,1,'C');
	$this->Cell(0,5,'Fecha: '.date('d/m/Y') .'',0,1,'R');
	
	// Salto de línea
	//$this->Ln(20);
	$this->Cell(0,10,'-----------------------------------------------------------------------------------------------------------------------------------------------------------',0,1,'C');
}

// Pie de página
function Footer()
{
	// Posición: a 1,5 cm del final
	$this->SetY(-15);
	// Arial italic 8
	$this->SetFont('Arial','I',8);
	// Número de página
	$this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}
}

// Creación del objeto de la clase heredada
$pdf = new PDF('L','mm','A4');
$pdf->AliasNbPages();
$pdf->AddPage();
//$pdf->SetFont('Times','',12);
//CONSULTA A LA BASE DE DATOS
$header=explode(":",$colum);
$data1=explode("*",$contenido);
$data2=explode(":",$data1[0]);
$pdf->Cell(0,10,'Periodo Seleccionado:'.$f1.' al '.$f2,0,1);
//$pdf->BasicTable($header,$data1);
$w = array(40,25,25,25,25,25,25,25,25,18,15);
$pdf->SetWidths($w);
	$pdf->SetFont('Arial','B',7);
	$pdf->SetFillColor(0,0,0);
    $pdf->SetTextColor(255);

for($i=0;$i<1;$i++)
			{
				$pdf->Row2($header);
			}
$pdf->SetFont('Arial','B',7);
$pdf->SetFillColor(255,255,255);
$pdf->SetTextColor(0);
$num=count($data1)-1;
for($i=0;$i<$num;$i++){
    $data2=explode(":",$data1[$i]);
		$pdf->Row($data2);
		//$pdf->Ln();
	}
$pdf->Output();


?>